Bug 186565 - games/tome4: segfault at startup
games/tome4: segfault at startup
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-08 19:00 UTC by m.tsatsenko
Modified: 2014-03-24 01:10 UTC (History)
0 users

See Also:


Attachments
patch.txt (841 bytes, text/plain; charset=us-ascii)
2014-03-16 01:59 UTC, Nikolai Lifanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.tsatsenko 2014-02-08 19:00:00 UTC
tome4 fails to start on my machine. Backtrace follows:
(gdb) bt
#0  0x00000008019d8e52 in glXCreateNewContext () from /usr/local/lib/libGL.so.1
#1  0x00000008007946a1 in r_debug_state () from /libexec/ld-elf.so.1
#2  0x0000000800793d37 in __tls_get_addr () from /libexec/ld-elf.so.1
#3  0x0000000800792089 in .text () from /libexec/ld-elf.so.1
#4  0x0000000000000000 in ?? ()

I guess this is nvidia related problem, because on another machine (which is also 10.0 amd64, but it has only intel video) the game runs fine.

Fix: 

Not known sorry, just use integrated intel video card
Comment 1 Nikolai Lifanov 2014-03-12 22:17:15 UTC
This is strange. It works for me with an nvidia card (GeForce GTX 560 Ti).
Could you tell me which options you have selected for x11/nvidia-driver, 
whether you use WITH_NEW_XORG, and whether you have /proc mounted please?

Thank you.

- Nikolai Lifanov
Comment 2 m.tsatsenko 2014-03-13 19:19:37 UTC
Really strange then.
I have 10.0 amd64 machine, procfs is mounted, WITH_NEW_XORG set,
options for nvidia-driver-331.49 follows:
Options        :
        ACPI_PM        : off
        DOCS           : on
        LINUX          : off
        WBINVD         : off


-- 
Mikhail
Comment 3 Nikolai Lifanov 2014-03-16 01:59:12 UTC
I was able to reproduce the segfault...
Could you try this patch please?

Basically, from games/tome4/patch-build__te4core.lua, remove the first 
section.

- Nikolai Lifanov

Index: games/tome4/files/patch-build__te4core.lua
===================================================================
--- games/tome4/files/patch-build__te4core.lua    (revision 348390)
+++ games/tome4/files/patch-build__te4core.lua    (working copy)
@@ -1,14 +1,5 @@
  --- ./build/te4core.lua.orig    2014-01-05 19:42:37.000000000 -0500
  +++ ./build/te4core.lua    2014-02-06 13:23:22.476164878 -0500
-@@ -109,7 +109,7 @@
-
-     configuration "bsd"
-         libdirs {"/usr/local/lib/"}
--        links { "SDL2", "SDL2_ttf", "SDL2_image", "png", "openal", 
"vorbisfile", "GL", "GLU", "m", "pthread" }
-+        links { "SDL2", "SDL2_ttf", "SDL2_image", "png", "openal", 
"vorbisfile", "GL", "GLU", "m" }
-         defines { [[TENGINE_HOME_PATH='".t-engine"']], 'SELFEXE_BSD' }
-
-     configuration {"Debug"}
  @@ -159,7 +159,7 @@

           files { "../src/luajit2/src/host/minilua.c" }
Comment 4 m.tsatsenko 2014-03-17 19:45:15 UTC
Removing first section from the patch did the trick. It works fine now. Thanks!

-- 
Mikhail
Comment 5 Nikolai Lifanov 2014-03-18 01:44:14 UTC
Thanks for testing!

I submitted a patch for this in ports/187688 to get a committer's 
attention...
This PR hasn't even been assigned to me yet. Once it's committed, this 
PR can be closed.

- Nikolai Lifanov
Comment 6 Rusmir Dusko freebsd_committer 2014-03-24 01:03:16 UTC
State Changed
From-To: open->closed

This is solved with commited ports/187688
Comment 7 dfilter freebsd_committer 2014-03-24 01:09:28 UTC
Author: nemysis
Date: Mon Mar 24 01:09:24 2014
New Revision: 348917
URL: http://svnweb.freebsd.org/changeset/ports/348917
QAT: https://qat.redports.org/buildarchive/r348917/

Log:
  - Bump PORTREVISION
  - Change Desktop entry file
  - Remove not needed MKDIR
  - Adjust patches, fix usage with nvidia cards
  
  PR:		ports/187688, ports/186565
  Submitted by:	Nikolai Lifanov <lifanov@mail.lifanov.com>,
  		"Mikhail T." <m.tsatsenko@gmail.com>

Modified:
  head/games/tome4/Makefile
  head/games/tome4/files/patch-build__te4core.lua   (contents, props changed)
  head/games/tome4/files/patch-premake4.lua   (contents, props changed)

Modified: head/games/tome4/Makefile
==============================================================================
--- head/games/tome4/Makefile	Mon Mar 24 00:55:05 2014	(r348916)
+++ head/games/tome4/Makefile	Mon Mar 24 01:09:24 2014	(r348917)
@@ -3,6 +3,7 @@
 
 PORTNAME=	tome4
 PORTVERSION=	1.1.5
+PORTREVISION=	1
 CATEGORIES=	games
 MASTER_SITES=	http://te4.org/dl/t-engine/ \
 		SF/lifanov-ports-icons/${PORTNAME}/:icons
@@ -18,8 +19,8 @@ LICENSE=	GPLv3
 BUILD_DEPENDS=	premake4:${PORTSDIR}/devel/premake4
 LIB_DEPENDS=	libvorbisfile.so:${PORTSDIR}/audio/libvorbis
 
-DESKTOP_ENTRIES="ToME 4" "${COMMENT}" "${PORTNAME}" \
-		"${PORTNAME}" "Game;RolePlaying;" false
+DESKTOP_ENTRIES="ToME 4" "" "${PORTNAME}" \
+		"${PORTNAME}" "Game;RolePlaying;" ""
 
 WRKSRC=		${WRKDIR}/t-engine4-src-${PORTVERSION}
 MAKE_ARGS+=	config=release verbose=yes ARCH=""
@@ -27,19 +28,17 @@ USES=		gmake openal:al tar:bzip2
 USE_SDL=	image2 sdl2 ttf2
 USE_GL=		gl
 SUB_FILES=	tome4
-
 MAKE_JOBS_UNSAFE=yes
 
 pre-build:
-	(cd ${WRKSRC}; premake4 gmake)
+	(cd ${WRKSRC} && premake4 gmake)
 	@${REINPLACE_CMD} 's|-lpthread|-pthread|' ${WRKSRC}/build/TEngine.make
 
 do-install:
-	${MKDIR} ${STAGEDIR}${DATADIR}
-	${MKDIR} ${STAGEDIR}${PREFIX}/bin
+	@${MKDIR} ${STAGEDIR}${DATADIR}
 
 	${INSTALL_PROGRAM} ${WRKSRC}/t-engine ${STAGEDIR}${DATADIR}
-	${INSTALL} -m 0755 ${WRKDIR}/tome4 ${STAGEDIR}${PREFIX}/bin
+	${INSTALL} -m 0755 ${WRKDIR}/tome4 ${STAGEDIR}${PREFIX}/bin/
 	(cd ${WRKSRC}; ${COPYTREE_SHARE} "bootstrap game" ${STAGEDIR}${DATADIR})
 
 	${INSTALL_DATA} ${_DISTDIR}/${PORTNAME}.png \

Modified: head/games/tome4/files/patch-build__te4core.lua
==============================================================================
--- head/games/tome4/files/patch-build__te4core.lua	Mon Mar 24 00:55:05 2014	(r348916)
+++ head/games/tome4/files/patch-build__te4core.lua	Mon Mar 24 01:09:24 2014	(r348917)
@@ -1,14 +1,5 @@
 --- ./build/te4core.lua.orig	2014-01-05 19:42:37.000000000 -0500
-+++ ./build/te4core.lua	2014-02-06 13:23:22.476164878 -0500
-@@ -109,7 +109,7 @@
- 
- 	configuration "bsd"
- 		libdirs {"/usr/local/lib/"}
--		links { "SDL2", "SDL2_ttf", "SDL2_image", "png", "openal", "vorbisfile", "GL", "GLU", "m", "pthread" }
-+		links { "SDL2", "SDL2_ttf", "SDL2_image", "png", "openal", "vorbisfile", "GL", "GLU", "m" }
- 		defines { [[TENGINE_HOME_PATH='".t-engine"']], 'SELFEXE_BSD' }
- 
- 	configuration {"Debug"}
++++ ./build/te4core.lua	2014-01-05 19:42:37.000000000 -0500
 @@ -159,7 +159,7 @@
  
  		files { "../src/luajit2/src/host/minilua.c" }

Modified: head/games/tome4/files/patch-premake4.lua
==============================================================================
--- head/games/tome4/files/patch-premake4.lua	Mon Mar 24 00:55:05 2014	(r348916)
+++ head/games/tome4/files/patch-premake4.lua	Mon Mar 24 01:09:24 2014	(r348917)
@@ -1,6 +1,12 @@
---- ./premake4.lua.orig	2014-02-06 13:23:35.469164876 -0500
-+++ ./premake4.lua	2014-02-06 13:34:48.071117476 -0500
-@@ -35,6 +35,9 @@
+--- ./premake4.lua.orig	2014-01-06 20:04:42.000000000 -0500
++++ ./premake4.lua	2014-03-23 19:34:38.037102075 -0400
+@@ -30,11 +30,14 @@
+ 
+ configuration "bsd"
+ 	libdirs {
+-		"/usr/local/lib",
++		"bin/Release", "/usr/local/lib",
+ 	}
  	includedirs {
  		"/usr/local/include",
  	}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"